Etiket Arşivi firefox

ubuntu 9.04 Jaunty ve flash player sorunu çözümü

burada yenisi var :)

ubuntu 9.04 de google analytics veya benzeri flash içeren bir siteye girdiğinizde sorunlar yaşıyor, facebook video ları sizin için kayboluyor ise şu script işinizi görecektir ;)

#!/bin/bash
# Script  created by
# Romeo-Adrian Cioaba romeo.cioaba@spotonearth.com
# Super minor updates by jason.melton[at]gmail[dot]com
# Released under GPL

echo "Stopping any Firefox that might be running"
sudo killall -9 firefox

echo "Removing any other flash plugin previously installed:"
sudo apt-get remove -y --purge flashplugin-nonfree gnash gnash-common mozilla-plugin-gnash swfdec-mozilla libflashsupport nspluginwrapper
sudo rm -f /usr/lib/mozilla/plugins/*flash*
sudo rm -f ~/.mozilla/plugins/*flash*
sudo rm -f /usr/lib/firefox/plugins/*flash*
sudo rm -f /usr/lib/firefox-addons/plugins/*flash*
sudo rm -rfd /usr/lib/nspluginwrapper

echo "Installing ia32-libs and nspluginwrapper"
sudo apt-get install ia32-libs nspluginwrapper

echo "Getting libs"
sudo getlibs -p libcurl3
sudo getlibs -p libnss3-1d
sudo getlibs -p libnspr4-0d

echo "Installing Flash Player 10"
cd ~
wget http://download.macromedia.com/pub/labs/flashplayer10/flashplayer10_install_linux_081108.tar.gz
tar zxvf flashplayer10_install_linux_081108.tar.gz
sudo cp install_flash_player_10_linux/libflashplayer.so /usr/lib/mozilla/plugins/
rm -rf ~/install_flash_player_10_linux/
sudo nspluginwrapper -i /usr/lib/mozilla/plugins/libflashplayer.so

echo "Linking the libraries so Firefox can find it."
sudo ln -sf /usr/lib/nspluginwrapper/plugins/npwrapper.libflashplayer.so /usr/lib/mozilla/plugins/
sudo ln -sf /usr/lib/nspluginwrapper/plugins/npwrapper.libflashplayer.so /usr/lib/firefox-addons/plugins/

echo "Done :-) "

Internet Explorer 8 (AKA IE8 Beta 2)

Tüm htmlci :) {itirazı olan beri gelsin} arkadaşlara geçmiş olsun dileklerimi sunuyorum. Microsoft Internet Explorer’ının 8 versiyonunun Beta 2 sini duyurdu.

Bundan böyle site hazırlarken uyumluluk kontrolü yapılması gereken ana Browserlar listesi aşağıdaki hale geldi :

  1. Internet Explorer 6 (AKA IE6)
  2. Internet Explorer 7 (AKA IE7)
  3. Internet Explorer 8 (AKA IE8)
  4. Firefox 2
  5. Firefox 3
  6. Safari (iPod diyoruuum ;)
  7. Opera

Firefox 2 de çalışan sayfalar “genelde” safari ve opera da sorun çıkarmıyor.

Bu demek oluyorki bir site için gerekli HTML çıkarma (AKA kesme) süreniz 7 ile çarpılmalı. Tabi Murphy ile aranız iyi ise {bkz. ben} o zaman x3 ile de yırtabilirsiniz.

Keyifli Kesmeler …